Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.dom.client
Class DOMImplMozilla

    java.lang.Object
      com.google.gwt.dom.client.DOMImpl
          com.google.gwt.dom.client.DOMImplStandard
              com.google.gwt.dom.client.DOMImplMozilla

     class DOMImplMozilla

extends DOMImplStandard

Mozilla implementation of StandardBrowser.

Field Summary

Fields inherited from class com.google.gwt.dom.client.DOMImpl
`impl`

Constructor Summary
`DOMImplMozilla()`

Method Summary
`void` | `buttonClick(ButtonElement button)`
`NativeEvent` | `createKeyCodeEvent(Document doc, java.lang.String type, boolean ctrlKey, boolean altKey, boolean shiftKey, boolean metaKey, int keyCode)`
`NativeEvent` | `createKeyEvent(Document doc, java.lang.String type, boolean canBubble, boolean cancelable, boolean ctrlKey, boolean altKey, boolean shiftKey, boolean metaKey, int keyCode, int charCode)` Deprecated.
`NativeEvent` | `createKeyPressEvent(Document doc, boolean ctrlKey, boolean altKey, boolean shiftKey, boolean metaKey, int charCode)`
`int` | `eventGetMouseWheelVelocityY(NativeEvent evt)`
`EventTarget` | `eventGetRelatedTarget(NativeEvent evt)`
`int` | `getAbsoluteLeft(Element elem)`
`int` | `getAbsoluteTop(Element elem)`
`int` | `getBodyOffsetLeft(Document doc)`
`int` | `getBodyOffsetTop(Document doc)`
`int` | `getNodeType(Node node)`
`int` | `getScrollLeft(Element elem)`
`boolean` | `isOrHasChild(Node parent, Node child)`
`void` | `setScrollLeft(Element elem, int left)`
`java.lang.String` | `toString(Element elem)`

Methods inherited from class com.google.gwt.dom.client.DOMImplStandard
`createHtmlEvent, createInputRadioElement, createMouseEvent, dispatchEvent, eventGetButton, eventGetCharCode, eventGetTarget, eventPreventDefault, eventToString, getInnerText, setInnerText`

Methods inherited from class com.google.gwt.dom.client.DOMImpl
`createButtonElement, createCheckInputElement, createElement, createInputElement, createScriptElement, cssClearOpacity, cssFloatPropertyName, cssSetOpacity, eventGetAltKey, eventGetClientX, eventGetClientY, eventGetCtrlKey, eventGetCurrentTarget, eventGetKeyCode, eventGetMetaKey, eventGetRotation, eventGetScale, eventGetScreenX, eventGetScreenY, eventGetShiftKey, eventGetType, eventSetKeyCode, eventStopPropagation, getAttribute, getChangedTouches, getFirstChildElement, getInnerHTML, getNextSiblingElement, getNumericStyleProperty, getParentElement, getPreviousSiblingElement, getScrollLeft, getScrollTop, getStyleProperty, getTabIndex, getTagName, getTargetTouches, getTouches, hasAttribute, scrollIntoView, selectAdd, selectClear, selectGetLength, selectGetOptions, selectRemoveOption, setDraggable, setScrollLeft, setScrollTop, toInt32, touchGetClientX, touchGetClientY, touchGetIdentifier, touchGetPageX, touchGetPageY, touchGetScreenX, touchGetScreenY, touchGetTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMImplMozilla

    DOMImplMozilla()

Method Detail

### buttonClick

    public void buttonClick(ButtonElement button)

  Overrides:
    `buttonClick` in class `DOMImpl`

### createKeyCodeEvent

    public NativeEvent createKeyCodeEvent(Document doc,
                                          java.lang.String type,
                                          boolean ctrlKey,
                                          boolean altKey,
                                          boolean shiftKey,
                                          boolean metaKey,
                                          int keyCode)

  Specified by:
    `createKeyCodeEvent` in class `DOMImpl`

### createKeyEvent

    @Deprecated
    public NativeEvent createKeyEvent(Document doc,
                                                 java.lang.String type,
                                                 boolean canBubble,
                                                 boolean cancelable,
                                                 boolean ctrlKey,
                                                 boolean altKey,
                                                 boolean shiftKey,
                                                 boolean metaKey,
                                                 int keyCode,
                                                 int charCode)

  Deprecated.

  Specified by:
    `createKeyEvent` in class `DOMImpl`

### createKeyPressEvent

    public NativeEvent createKeyPressEvent(Document doc,
                                           boolean ctrlKey,
                                           boolean altKey,
                                           boolean shiftKey,
                                           boolean metaKey,
                                           int charCode)

  Specified by:
    `createKeyPressEvent` in class `DOMImpl`

### eventGetMouseWheelVelocityY

    public int eventGetMouseWheelVelocityY(NativeEvent evt)

  Specified by:
    `eventGetMouseWheelVelocityY` in class `DOMImpl`

### eventGetRelatedTarget

    public EventTarget eventGetRelatedTarget(NativeEvent evt)

  Overrides:
    `eventGetRelatedTarget` in class `DOMImplStandard`

### getAbsoluteLeft

    public int getAbsoluteLeft(Element elem)

  Overrides:
    `getAbsoluteLeft` in class `DOMImpl`

### getAbsoluteTop

    public int getAbsoluteTop(Element elem)

  Overrides:
    `getAbsoluteTop` in class `DOMImpl`

### getBodyOffsetLeft

    public int getBodyOffsetLeft(Document doc)

  Overrides:
    `getBodyOffsetLeft` in class `DOMImpl`

### getBodyOffsetTop

    public int getBodyOffsetTop(Document doc)

  Overrides:
    `getBodyOffsetTop` in class `DOMImpl`

### getNodeType

    public int getNodeType(Node node)

  Overrides:
    `getNodeType` in class `DOMImpl`

### getScrollLeft

    public int getScrollLeft(Element elem)

  Overrides:
    `getScrollLeft` in class `DOMImpl`

### isOrHasChild

    public boolean isOrHasChild(Node parent,
                                Node child)

  Overrides:
    `isOrHasChild` in class `DOMImplStandard`

### setScrollLeft

    public void setScrollLeft(Element elem,
                              int left)

  Overrides:
    `setScrollLeft` in class `DOMImpl`

### toString

    public java.lang.String toString(Element elem)

  Overrides:
    `toString` in class `DOMImpl`

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD